%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global with_test 0

Name:          hibernate-jpamodelgen
Version:       1.2.0
Release:       %mkrel 5
Group:         Development/Java
Summary:       Hibernate JPA 2 Metamodel Generator
License:       ASL 2.0
Url:           http://www.hibernate.org/subprojects/jpamodelgen.html
Source0:       http://sourceforge.net/projects/hibernate/files/%{name}/%{namedversion}/%{name}-%{namedversion}-dist.tar.gz

BuildRequires: java-devel

%if %with_test
BuildRequires: hibernate >= 4.0.0
BuildRequires: hibernate-jpa-2.0-api
BuildRequires: slf4j
BuildRequires: testng >= 6.3.1
BuildRequires: maven-surefire-report-plugin >= 2.11
%endif

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-injection-plugin
BuildRequires: jaxb2-maven-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-report-plugin

BuildArch:     noarch

%description
Annotation Processor to generate JPA 2 static metamodel classes.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
find . -name "*.jar" -delete
find . -name "*.class" -delete
rm -rf docs/api

%pom_remove_plugin :maven-jdocbook-plugin
%if !%with_test
%pom_remove_plugin :maven-surefire-plugin
%endif

%build

%mvn_file :%{name} %{name}
# test skip unavailable deps
%mvn_build \
%if !%with_test
  -f \
%endif
  -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md changelog.txt license.txt

%files javadoc -f .mfiles-javadoc
%doc license.txt



%changelog
* Fri Dec 20 2013 dmorgan <dmorgan> 1.2.0-5.mga4
+ Revision: 559144
- Build with xmvn
- Change maven BR into maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-3.mga3
+ Revision: 353224
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1.2.0-2.mga3
+ Revision: 341515
- New version 4.2.0 Final

* Fri Nov 11 2011 dmorgan <dmorgan> 1.1.1-1.mga2
+ Revision: 166443
- Clean spec file

  + gil <gil>
    - imported package hibernate-jpamodelgen

